gnutls_x509_privkey_export2(3)

NAME
gnutls_x509_privkey_export2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_export2(gnutls_x509_privkey_t key, gnutls_x509_crt_fmt_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

gnutls_datum_t * out
    will contain a private key PEM or DER encoded

DESCRIPTION
This function will export the private key to a PKCS1 structure for RSA or RSA-PSS keys, and integer sequence for DSA keys. Other keys types will be exported in PKCS8 form. The output buffer is allocated using gnutls_malloc(). It is recommended to use gnutls_x509_privkey_export2_pkcs8() instead of this function, when a consistent output format is required.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. Since 3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/